/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.device.dto.engineReleases;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.Date;

/**
* Restful接口--资源详情--数据传输对象：执行引擎版本
*
* createdate:  2022-09-28 14:54:33  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "执行引擎版本")
public class CdEngineReleasesDetailDto implements Serializable
{
    /**
     * 主键id<br>
     */
    @ApiModelProperty("主键id")
    @Size(max = 32, message="主键id-id: 数据长度不能 > 32" )
    private String id;
    /**
     * 更新包名称<br>
     */
    @ApiModelProperty("更新包名称")
    @Size(max = 128, message="更新包名称-packageName: 数据长度不能 > 128" )
    private String packageName;
    /**
     * 发行版本号<br>
     */
    @ApiModelProperty("发行版本号")
    @Size(max = 255, message="发行版本号-releaseVersion: 数据长度不能 > 255" )
    private String releaseVersion;
    /**
     * 发行标题<br>
     */
    @ApiModelProperty("发行标题")
    @Size(max = 128, message="发行标题-releaseTitle: 数据长度不能 > 128" )
    private String releaseTitle;
    /**
     * 发行内容<br>
     */
    @ApiModelProperty("发行内容")
    @Size(max = 500, message="发行内容-releaseNote: 数据长度不能 > 500" )
    private String releaseNote;
    /**
     * 发行人<br>
     */
    @ApiModelProperty("发行人")
    @Size(max = 32, message="发行人-releaseBy: 数据长度不能 > 32" )
    private String releaseBy;
    /**
     * 发行时间<br>
     */
    @ApiModelProperty("发行时间")
    private Date releaseTime;

    @ApiModelProperty("资源id")
    private String resourceId;

    public String getResourceId() {
        return resourceId;
    }

    public void setResourceId(String resourceId) {
        this.resourceId = resourceId;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getPackageName() {
        return packageName;
    }

    public void setPackageName(String packageName) {
        this.packageName = packageName;
    }

    public String getReleaseVersion() {
        return releaseVersion;
    }

    public void setReleaseVersion(String releaseVersion) {
        this.releaseVersion = releaseVersion;
    }

    public String getReleaseTitle() {
        return releaseTitle;
    }

    public void setReleaseTitle(String releaseTitle) {
        this.releaseTitle = releaseTitle;
    }

    public String getReleaseNote() {
        return releaseNote;
    }

    public void setReleaseNote(String releaseNote) {
        this.releaseNote = releaseNote;
    }

    public String getReleaseBy() {
        return releaseBy;
    }

    public void setReleaseBy(String releaseBy) {
        this.releaseBy = releaseBy;
    }

    public Date getReleaseTime() {
        return releaseTime;
    }

    public void setReleaseTime(Date releaseTime) {
        this.releaseTime = releaseTime;
    }
}